#C 8-bit multiplier by Nick Gardner, Aug 2002.
#C (see http://www.maa.org/editorial/mathgames/mathgames_05_24_04.html)
#C 
#C C15 to C0 consist of 16 half-adders each made of an AND gate and an XOR gate.
#C When set to one, a C-bit is represented by a looping electron.
#C 
#C The bits of A7-A0 shift rightwards across the pattern.  The bits of B7-B0 arrive
#C in procession to meet the A bits at the AND gates just below the half adders.
#C If the B bit is one the A bits proceed up to the half adders, otherwise they
#C are cancelled.
#C 
#C An unset C-loop will be set if an A bit arrives.  A set C-loop will become unset
#C and will throw a carry leftwards to the next C-loop.
#C 
#C C-loops are 15 generations long.  The B-bits arrive 105 generations apart.
#C This is the minimum to ensure carrying bits in the half-adders don't collide
#C with the next presentation of A-bits.
#C 
#C The product can usually be seen after about 1000 generations, but to get rid
#C of all superfluous electrons run the pattern for exactly 1661 generations.
#C 
#C The AND gate in the C15 loop isn't necessary but has been left in to preserve
#C the flashing effect of the C-loops.
#T wireworld
#M
21.3C.C.3C217.3C.3C$21.C3.C.C219.C3.C.C$21.C3.C.3C217.C3.C.C$21.C3.C3.
C217.C3.C.C$21.3C.C.3C217.3C.3C3$23.5C10.5C10.5C10.5C10.5C10.5C10.5C
10.5C10.5C10.5C10.5C10.5C10.5C10.5C10.5C10.5C$22.C5.C8.C5.C8.C5.C8.C5.
C8.C5.C8.C5.C8.C5.C8.C5.C8.C5.C8.C5.C8.C5.C8.C5.C8.C5.C8.C5.C8.C5.C8.C
5.C$22.C5.C8.C5.C8.C5.C8.C5.C8.C5.C8.C5.C8.C5.C8.C5.C8.C5.C8.C5.C8.C5.
C8.C5.C8.C5.C8.C5.C8.C5.C8.C5.C$22.C4.C9.C4.C9.C4.C9.C4.C9.C4.C9.C4.C
9.C4.C9.C4.C9.C4.C9.C4.C9.C4.C9.C4.C9.C4.C9.C4.C9.C4.C9.C4.C$23.C.4C9.
C.4C9.C.4C9.C.4C9.C.4C9.C.4C9.C.4C9.C.4C9.C.4C9.C.4C9.C.4C9.C.4C9.C.4C
9.C.4C9.C.4C9.C.4C$24.3C.C..CC6.3C.C..CC6.3C.C..CC6.3C.C..CC6.3C.C..CC
6.3C.C..CC6.3C.C..CC6.3C.C..CC6.3C.C..CC6.3C.C..CC6.3C.C..CC6.3C.C..CC
6.3C.C..CC6.3C.C..CC6.3C.C..CC6.3C.C..CC$23.C.4C.C..C4.C.4C.C..C4.C.4C
.C..C4.C.4C.C..C4.C.4C.C..C4.C.4C.C..C4.C.4C.C..C4.C.4C.C..C4.C.4C.C..
C4.C.4C.C..C4.C.4C.C..C4.C.4C.C..C4.C.4C.C..C4.C.4C.C..C4.C.4C.C..C4.C
.4C.C..C$20.3C4.C..C.C..3C4.C..C.C..3C4.C..C.C..3C4.C..C.C..3C4.C..C.C
..3C4.C..C.C..3C4.C..C.C..3C4.C..C.C..3C4.C..C.C..3C4.C..C.C..3C4.C..C
.C..3C4.C..C.C..3C4.C..C.C..3C4.C..C.C..3C4.C..C.C..3C4.C..C.C$19.C3.C
.C..CC..C.C3.C.C..CC..C.C3.C.C..CC..C.C3.C.C..CC..C.C3.C.C..CC..C.C3.C
.C..CC..C.C3.C.C..CC..C.C3.C.C..CC..C.C3.C.C..CC..C.C3.C.C..CC..C.C3.C
.C..CC..C.C3.C.C..CC..C.C3.C.C..CC..C.C3.C.C..CC..C.C3.C.C..CC..C.C3.C
.C..CC..C$19.C4.3C5.C.C4.3C5.C.C4.3C5.C.C4.3C5.C.C4.3C5.C.C4.3C5.C.C4.
3C5.C.C4.3C5.C.C4.3C5.C.C4.3C5.C.C4.3C5.C.C4.3C5.C.C4.3C5.C.C4.3C5.C.C
4.3C5.C.C4.3C5.C$19.C.C.C.C.C..CC..C.C.C.C.C..CC..C.C.C.C.C..CC..C.C.C
.C.C..CC..C.C.C.C.C..CC..C.C.C.C.C..CC..C.C.C.C.C..CC..C.C.C.C.C..CC..
C.C.C.C.C..CC..C.C.C.C.C..CC..C.C.C.C.C..CC..C.C.C.C.C..CC..C.C.C.C.C
..CC..C.C.C.C.C..CC..C.C.C.C.C..CC..C.C.C.C.C..CC$20.3C5.CC5.3C5.CC5.
3C5.CC5.3C5.CC5.3C5.CC5.3C5.CC5.3C5.CC5.3C5.CC5.3C5.CC5.3C5.CC5.3C5.CC
5.3C5.CC5.3C5.CC5.3C5.CC5.3C5.CC5.3C5.CC$21.C8.C3.C.C..CC4.C3.C.C..CC
4.C3.C.C..CC4.C3.C.C..CC4.C3.C.C..CC4.C3.C.C..CC4.C3.C.C..CC4.C3.C.C..
CC4.C3.C.C..CC4.C3.C.C..CC4.C3.C.C..CC4.C3.C.C..CC4.C3.C.C..CC4.C3.C.C
..CC4.C3.C.C..CC4.C$31.C.C4.C..C4.C.C4.C..C4.C.C4.C..C4.C.C4.C..C4.C.C
4.C..C4.C.C4.C..C4.C.C4.C..C4.C.C4.C..C4.C.C4.C..C4.C.C4.C..C4.C.C4.C
..C4.C.C4.C..C4.C.C4.C..C4.C.C4.C..C4.C.C4.C..C4.C$32.C..3C3.C3.3C..3C
3.C3.3C..3C3.C3.3C..3C3.C3.3C..3C3.C3.3C..3C3.C3.3C..3C3.C3.3C..3C3.C
3.3C..3C3.C3.3C..3C3.C3.3C..3C3.C3.3C..3C3.C3.3C..3C3.C3.3C..3C3.C3.3C
..3C3.C3.C$34.C4.CC3.C.C..C4.CC3.C.C..C4.CC3.C.C..C4.CC3.C.C..C4.CC3.C
.C..C4.CC3.C.C..C4.CC3.C.C..C4.CC3.C.C..C4.CC3.C.C..C4.CC3.C.C..C4.CC
3.C.C..C4.CC3.C.C..C4.CC3.C.C..C4.CC3.C.C..C4.CC3.C$33.C4.C5.C3.C4.C5.
C3.C4.C5.C3.C4.C5.C3.C4.C5.C3.C4.C5.C3.C4.C5.C3.C4.C5.C3.C4.C5.C3.C4.C
5.C3.C4.C5.C3.C4.C5.C3.C4.C5.C3.C4.C5.C3.C4.C5.C$32.C4.C..3C.C..C4.C..
3C.C..C4.C..3C.C..C4.C..3C.C..C4.C..3C.C..C4.C..3C.C..C4.C..3C.C..C4.C
..3C.C..C4.C..3C.C..C4.C..3C.C..C4.C..3C.C..C4.C..3C.C..C4.C..3C.C..C
4.C..3C.C..C4.C..3C.C$31.C..C..C.C3.C..C..C..C.C3.C..C..C..C.C3.C..C..
C..C.C3.C..C..C..C.C3.C..C..C..C.C3.C..C..C..C.C3.C..C..C..C.C3.C..C5.
C.C3.C..C5.C.C3.C..C5.C.C3.C..C5.C.C3.C..C5.C.C3.C..C5.C.C3.C..C5.C.C
3.C$31.C.C.C.C.C..3C.C.C.C.C.C..3C.C.C.C.C.C..3C.C.C.C.C.C..3C.C.C.C.C
.C..3C.C.C.C.C.C..3C.C.C.C.C.C..3C.C.C.C.C.C..3C.C5.C.C..3C.C5.C.C..3C
.C5.C.C..3C.C5.C.C..3C.C5.C.C..3C.C5.C.C..3C.C5.C.C..3C$31.C.C.C.C.C3.
C..C.C.C.C.C3.C..C.C.C.C.C3.C..C.C.C.C.C3.C..C.C.C.C.C3.C..C.C.C.C.C3.
C..C.C.C.C.C3.C..C.C.C.C.C3.C..C5.C.C3.C..C5.C.C3.C..C5.C.C3.C..C5.C.C
3.C..C5.C.C3.C..C5.C.C3.C..C5.C.C3.C$3C.3C5.3C.3C5.C6.C.C.C..C.C.C3.C.
C.C..C.C.C3.C.C.C..C.C.C3.C.C.C..C.C.C3.C.C.C..C.C.C3.C.C.C..C.C.C3.C.
C.C..C.C.C3.C.C.C..C.C.C3.C6.C.C.C3.C6.C.C.C3.C6.C.C.C3.C6.C.C.C3.C6.C
.C.C3.C6.C.C.C3.C6.C.C.C$C.C3.C5.C.C.C.C6.C4.C..C.C5.C3.C..C.C5.C3.C..
C.C5.C3.C..C.C5.C3.C..C.C5.C3.C..C.C5.C3.C..C.C5.C3.C..C.C5.C3.C10.C3.
C10.C3.C10.C3.C10.C3.C10.C3.C10.C3.C10.C$3C3.C.3C.3C.C.C.7C..C..C3.CCA
.3C.C..C3.CCA.3C.C..C3.CCA.3C.C..C3.CCA.3C.C..C3.CCA.3C.C..C3.CCA.3C.C
..C3.CCA.3C.C..C3.CCA.3C.C10.3C.C10.3C.C10.3C.C10.3C.C10.3C.C10.3C.C
10.3C$C.C3.C5.C.C.C.C6.C3.C.C9.C..C.C9.C..C.C9.C..C.C9.C..C.C9.C..C.C
9.C..C.C9.C..C.C9.C..C11.C..C11.C..C11.C..C11.C..C11.C..C11.C..C11.C$C
.C3.C5.C.C.3C5.C3.C3.7C..C.C3.7C..C.C3.7C..C.C3.7C..C.C3.7C..C.C3.7C..
C.C3.7C..C.C3.7C..C.C12.C.C12.C.C12.C.C12.C.C12.C.C12.C.C12.C$28.C10.C
.C.C10.C.C.C10.C.C.C10.C.C.C10.C.C.C10.C.C.C10.C.C.C10.C.C.C12.C.C12.C
.C12.C.C12.C.C12.C.C12.C.C12.C$28.C..8C..C.C..8C..C.C..8C..C.C..8C..C.
C..8C..C.C..8C..C.C..8C..C.C..8C..C.C12.C.C12.C.C12.C.C12.C.C12.C.C12.
C.C12.C$28.C.C10.C.C.C10.C.C.C10.C.C.C10.C.C.C10.C.C.C10.C.C.C10.C.C.C
10.C.C12.C.C12.C.C12.C.C12.C.C12.C.C12.C.C12.C$28.C..8C..C.C..8C..C.C
..8C..C.C..8C..C.C..8C..C.C..8C..C.C..8C..C.C..8C..C.C12.C.C12.C.C12.C
.C12.C.C12.C.C12.C.C12.C$28.C10.C.C.C10.C.C.C10.C.C.C10.C.C.C10.C.C.C
10.C.C.C10.C.C.C10.C.C.C12.C.C12.C.C12.C.C12.C.C12.C.C12.C.C12.C$28.C
..8C..C.C..8C..C.C..8C..C.C..8C..C.C..8C..C.C..8C..C.C..8C..C.C..8C..C
.C12.C.C12.C.C12.C.C12.C.C12.C.C12.C.C12.C$28.C.C10.C.C.C10.C.C.C10.C.
C.C10.C.C.C10.C.C.C10.C.C.C10.C.C.C10.C.C12.C.C12.C.C12.C.C12.C.C12.C.
C12.C.C12.C$28.C..8C..C.C..8C..C.C..8C..C.C..8C..C.C..8C..C.C..8C..C.C
..8C..C.C..8C..C.C12.C.C12.C.C12.C.C12.C.C12.C.C12.C.C12.C$28.C10.C.C.
C10.C.C.C10.C.C.C10.C.C.C10.C.C.C10.C.C.C10.C.C.C10.C.C.C12.C.C12.C.C
12.C.C12.C.C12.C.C12.C.C12.C$28.C..8C..C.C..8C..C.C..8C..C.C..8C..C.C
..8C..C.C..8C..C.C..8C..C.C..8C..C.C12.C.C12.C.C12.C.C12.C.C12.C.C12.C
.C12.C$28.C.C10.C.C.C10.C.C.C10.C.C.C10.C.C.C10.C.C.C10.C.C.C10.C.C.C
10.C.C12.C.C12.C.C12.C.C12.C.C12.C.C12.C.C12.C$28.C..8C..C.C..8C..C.C
..8C..C.C..8C..C.C..8C..C.C..8C..C.C..8C..C.C..8C..C.C12.C.C12.C.C12.C
.C12.C.C12.C.C12.C.C12.C$28.C10.C.C.C10.C.C.C10.C.C.C10.C.C.C10.C.C.C
10.C.C.C10.C.C.C10.C.C.C12.C.C12.C.C12.C.C12.C.C12.C.C12.C.C12.C$28.C
3.7C..C.C3.7C..C.C3.7C..C.C3.7C..C.C3.7C..C.C3.7C..C.C3.7C..C.C3.7C..C
.C12.C.C12.C.C12.C.C12.C.C12.C.C12.C.C12.C$28.C..C9.C.C..C9.C.C..C9.C.
C..C9.C.C..C9.C.C..C9.C.C..C9.C.C..C9.C.C12.C.C12.C.C12.C.C12.C.C12.C.
C12.C.C12.C$28.C.C..5C3.C.C.C..5C3.C.C.C..5C3.C.C.C..5C3.C.C.C..5C3.C.
C.C..5C3.C.C.C..5C3.C.C.C..5C3.C.C12.C.C12.C.C12.C.C12.C.C12.C.C12.C.C
12.C$28.C.C.C5.C..C.C.C.C5.C..C.C.C.C5.C..C.C.C.C5.C..C.C.C.C5.C..C.C.
C.C5.C..C.C.C.C5.C..C.C.C.C5.C..C.C12.C.C12.C.C12.C.C12.C.C12.C.C12.C.
C12.C$28.C.C..4C..C.C.C.C..4C..C.C.C.C..4C..C.C.C.C..4C..C.C.C.C..4C..
C.C.C.C..4C..C.C.C.C..4C..C.C.C.C..4C..C.C.C12.C.C12.C.C12.C.C12.C.C
12.C.C12.C.C12.C$28.C.C6.C.C.C.C.C6.C.C.C.C.C6.C.C.C.C.C6.C.C.C.C.C6.C
.C.C.C.C6.C.C.C.C.C6.C.C.C.C.C6.C.C.C.C12.C.C12.C.C12.C.C12.C.C12.C.C
12.C.C12.C$28.C.C..4C..C.C.C.C..4C..C.C.C.C..4C..C.C.C.C..4C..C.C.C.C
..4C..C.C.C.C..4C..C.C.C.C..4C..C.C.C.C..4C..C.C.C12.C.C12.C.C12.C.C
12.C.C12.C.C12.C.C12.C$28.C.C.C6.C.C.C.C.C6.C.C.C.C.C6.C.C.C.C.C6.C.C.
C.C.C6.C.C.C.C.C6.C.C.C.C.C6.C.C.C.C.C6.C.C.C12.C.C12.C.C12.C.C12.C.C
12.C.C12.C.C12.C$28.C.C..4C..C.C.C.C..4C..C.C.C.C..4C..C.C.C.C..4C..C.
C.C.C..4C..C.C.C.C..4C..C.C.C.C..4C..C.C.C.C..4C..C.C.C12.C.C12.C.C12.
C.C12.C.C12.C.C12.C.C12.C$28.C.C6.C.C.C.C.C6.C.C.C.C.C6.C.C.C.C.C6.C.C
.C.C.C6.C.C.C.C.C6.C.C.C.C.C6.C.C.C.C.C6.C.C.C.C12.C.C12.C.C12.C.C12.C
.C12.C.C12.C.C12.C$28.C.C..4C..C.C.C.C..4C..C.C.C.C..4C..C.C.C.C..4C..
C.C.C.C..4C..C.C.C.C..4C..C.C.C.C..4C..C.C.C.C..4C..C.C.C12.C.C12.C.C
12.C.C12.C.C12.C.C12.C.C12.C$28.C.C.C6.C.C.C.C.C6.C.C.C.C.C6.C.C.C.C.C
6.C.C.C.C.C6.C.C.C.C.C6.C.C.C.C.C6.C.C.C.C.C6.C.C.C12.C.C12.C.C12.C.C
12.C.C12.C.C12.C.C12.C$28.C.C..4C..C.C.C.C..4C..C.C.C.C..4C..C.C.C.C..
4C..C.C.C.C..4C..C.C.C.C..4C..C.C.C.C..4C..C.C.C.C..4C..C.C.C12.C.C12.
C.C12.C.C12.C.C12.C.C12.C.C12.C$28.C.C6.C.C.C.C.C6.C.C.C.C.C6.C.C.C.C.
C6.C.C.C.C.C6.C.C.C.C.C6.C.C.C.C.C6.C.C.C.C.C6.C.C.C.C12.C.C12.C.C12.C
.C12.C.C12.C.C12.C.C12.C$28.C.C..4C..C.C.C.C..4C..C.C.C.C..4C..C.C.C.C
..4C..C.C.C.C..4C..C.C.C.C..4C..C.C.C.C..4C..C.C.C.C..4C..C.C.C12.C.C
12.C.C12.C.C12.C.C12.C.C12.C.C12.C$28.C.C.C6.C.C.C.C.C6.C.C.C.C.C6.C.C
.C.C.C6.C.C.C.C.C6.C.C.C.C.C6.C.C.C.C.C6.C.C.C.C.C6.C.C.C12.C.C12.C.C
12.C.C12.C.C12.C.C12.C.C12.C$28.C.C..4C..C.C.C.C..4C..C.C.C.C..4C..C.C
.C.C..4C..C.C.C.C..4C..C.C.C.C..4C..C.C.C.C..4C..C.C.C.C..4C..C.C.C12.
C.C12.C.C12.C.C12.C.C12.C.C12.C.C12.C$28.C.C6.C.C.C.C.C6.C.C.C.C.C6.C.
C.C.C.C6.C.C.C.C.C6.C.C.C.C.C6.C.C.C.C.C6.C.C.C.C.C6.C.C.C.C12.C.C12.C
.C12.C.C12.C.C12.C.C12.C.C12.C$28.C.C..4C..C.C.C.C..4C..C.C.C.C..4C..C
.C.C.C..4C..C.C.C.C..4C..C.C.C.C..4C..C.C.C.C..4C..C.C.C.C..4C..C.C.C
12.C.C12.C.C12.C.C12.C.C12.C.C12.C.C12.C$28.C.C.C6.C.C.C.C.C6.C.C.C.C.
C6.C.C.C.C.C6.C.C.C.C.C6.C.C.C.C.C6.C.C.C.C.C6.C.C.C.C.C6.C.C.C12.C.C
12.C.C12.C.C12.C.C12.C.C12.C.C12.C$28.C.C..4C..C.C.C.C..4C..C.C.C.C..
4C..C.C.C.C..4C..C.C.C.C..4C..C.C.C.C..4C..C.C.C.C..4C..C.C.C.C..4C..C
.C.C12.C.C12.C.C12.C.C12.C.C12.C.C12.C.C12.C$28.C.C6.C.C.C.C.C6.C.C.C.
C.C6.C.C.C.C.C6.C.C.C.C.C6.C.C.C.C.C6.C.C.C.C.C6.C.C.C.C.C6.C.C.C.C12.
C.C12.C.C12.C.C12.C.C12.C.C12.C.C12.C$28.C.C..4C..C.C.C.C..4C..C.C.C.C
..4C..C.C.C.C..4C..C.C.C.C..4C..C.C.C.C..4C..C.C.C.C..4C..C.C.C.C..4C
..C.C.C12.C.C12.C.C12.C.C12.C.C12.C.C12.C.C12.C$28.C.C.C6.C.C.C.C.C6.C
.C.C.C.C6.C.C.C.C.C6.C.C.C.C.C6.C.C.C.C.C6.C.C.C.C.C6.C.C.C.C.C6.C.C.C
12.C.C12.C.C12.C.C12.C.C12.C.C12.C.C12.C$28.C.C..4C..C.C.C.C..4C..C.C.
C.C..4C..C.C.C.C..4C..C.C.C.C..4C..C.C.C.C..4C..C.C.C.C..4C..C.C.C.C..
4C..C.C.C12.C.C12.C.C12.C.C12.C.C12.C.C12.C.C12.C$28.C..C5.C.C.C.C..C
5.C.C.C.C..C5.C.C.C.C..C5.C.C.C.C..C5.C.C.C.C..C5.C.C.C.C..C5.C.C.C.C
..C5.C.C.C.C12.C.C12.C.C12.C.C12.C.C12.C.C12.C.C12.C$28.C..6C..C.C.C..
6C..C.C.C..6C..C.C.C..6C..C.C.C..6C..C.C.C..6C..C.C.C..6C..C.C.C..6C..
C.C.C12.C.C12.C.C12.C.C12.C.C12.C.C12.C.C12.C$28.C..C6.C..C.C..C6.C..C
.C..C6.C..C.C..C6.C..C.C..C6.C..C.C..C6.C..C.C..C6.C..C.C..C6.C..C.C
12.C.C12.C.C12.C.C12.C.C12.C.C12.C.C12.C$28.C..C5.C3.C.C..C5.C3.C.C..C
5.C3.C.C..C5.C3.C.C..C5.C3.C.C..C5.C3.C.C..C5.C3.C.C..C5.C3.C.C12.C.C
12.C.C12.C.C12.C.C12.C.C12.C.C12.C$29.C.C4.C4.C..C.C4.C4.C..C.C4.C4.C
..C.C4.C4.C..C.C4.C4.C..C.C4.C4.C..C.C4.C4.C..C.C4.C4.C..C11.C..C11.C
..C11.C..C11.C..C11.C..C11.C..C11.C$30.C4.C4.3C..3C..C4.3C..3C..C4.3C
..3C..C4.3C..3C..C4.3C..3C..C4.3C..3C..C4.3C..3C..C4.3C..C9.3C..C9.3C
..C9.3C..C9.3C..C9.3C..C9.3C..C10.C$34.C6.C.C..C..C6.C.C..C..C6.C.C..C
..C6.C.C..C..C6.C.C..C..C6.C.C..C..C6.C.C..C..C6.C.C..C9.C.C..C9.C.C..
C9.C.C..C9.C.C..C9.C.C..C9.C.C..C9.C$34.C..CC.C3.C.C..C..CC.C3.C.C..C
..CC.C3.C.C..C..CC.C3.C.C..C..CC.C3.C.C..C..CC.C3.C.C..C..CC.C3.C.C..C
..CC.C3.C.C5.CC.C3.C.C5.CC.C3.C.C5.CC.C3.C.C5.CC.C3.C.C5.CC.C3.C.C5.CC
.C3.C.C9.C$35.3C.C3.3C..5C.C3.3C..5C.C3.3C..5C.C3.3C..5C.C3.3C..5C.C3.
3C..5C.C3.3C..5C.C3.3C4.3C.C3.3C4.3C.C3.3C4.3C.C3.3C4.3C.C3.3C4.3C.C3.
3C4.3C.C3.3C10.C$37.CC3.C.C.C..C..CC3.C.C.C..C..CC3.C.C.C..C..CC3.C.C.
C..C..CC3.C.C.C..C..CC3.C.C.C..C..CC3.C.C.C..C..CC3.C.C.C..C..CC3.C.C.
C..C..CC3.C.C.C..C..CC3.C.C.C..C..CC3.C.C.C..C..CC3.C.C.C..C..CC3.C.C
11.C$41.C4.C.C7.C4.C.C7.C4.C.C7.C4.C.C7.C4.C.C7.C4.C.C7.C4.C.C7.C4.C.C
7.C4.C.C7.C4.C.C7.C4.C.C7.C4.C.C7.C4.C.C7.C14.C$40.C.C..C3.4C..C.C..C
3.4C..C.C..C3.4C..C.C..C3.4C..C.C..C3.4C..C.C..C3.4C..C.C..C3.4C..C.C
..C3.4C..C.C..C3.4C..C.C..C3.4C..C.C..C3.4C..C.C..C3.4C..C.C..C3.4C..C
.C13.C$40.3C.C8.C.3C.C8.C.3C.C8.C.3C.C8.C.3C.C8.C.3C.C8.C.3C.C8.C.3C.C
8.C.3C.C8.C.3C.C8.C.3C.C8.C.3C.C8.C.3C.C8.C.3C13.C$41.C..C..6C3.C..C..
6C3.C..C..6C3.C..C..6C3.C..C..6C3.C..C..6C3.C..C..6C3.C..C..6C3.C..C..
6C3.C..C..6C3.C..C..6C3.C..C..6C3.C..C..6C3.C14.C$41.C.C..C9.C.C..C9.C
.C..C9.C.C..C9.C.C..C9.C.C..C9.C.C..C9.C.C..C9.C.C..C9.C.C..C9.C.C..C
9.C.C..C9.C.C..C9.C14.C$41.C.C3.7C..C.C3.7C..C.C3.7C..C.C3.7C..C.C3.7C
..C.C3.7C..C.C3.7C..C.C3.7C..C.C3.7C..C.C3.7C..C.C3.7C..C.C3.7C..C.C3.
7C..C14.C$41.C.C10.C.C.C10.C.C.C10.C.C.C10.C.C.C10.C.C.C10.C.C.C10.C.C
.C10.C.C.C10.C.C.C10.C.C.C10.C.C.C10.C.C.C10.C.C14.C$41.C.C..8C..C.C..
8C..C.C..8C..C.C..8C..C.C..8C..C.C..8C..C.C..8C..C.C..8C..C.C..8C..C.C
..8C..C.C..8C..C.C..8C..C.C..8C..C14.C$41.C.C.C10.C.C.C10.C.C.C10.C.C.
C10.C.C.C10.C.C.C10.C.C.C10.C.C.C10.C.C.C10.C.C.C10.C.C.C10.C.C.C10.C.
C.C10.C14.C$41.C.C..8C..C.C..8C..C.C..8C..C.C..8C..C.C..8C..C.C..8C..C
.C..8C..C.C..8C..C.C..8C..C.C..8C..C.C..8C..C.C..8C..C.C..8C..C14.C$
41.C.C10.C.C.C10.C.C.C10.C.C.C10.C.C.C10.C.C.C10.C.C.C10.C.C.C10.C.C.C
10.C.C.C10.C.C.C10.C.C.C10.C.C.C10.C.C14.C$41.C.C..8C..C.C..8C..C.C..
8C..C.C..8C..C.C..8C..C.C..8C..C.C..8C..C.C..8C..C.C..8C..C.C..8C..C.C
..8C..C.C..8C..C.C..8C..C14.C$41.C.C.C10.C.C.C10.C.C.C10.C.C.C10.C.C.C
10.C.C.C10.C.C.C10.C.C.C10.C.C.C10.C.C.C10.C.C.C10.C.C.C10.C.C.C10.C
14.C$41.C.C..8C..C.C..8C..C.C..8C..C.C..8C..C.C..8C..C.C..8C..C.C..8C
..C.C..8C..C.C..8C..C.C..8C..C.C..8C..C.C..8C..C.C..8C..C14.C$41.C.C
10.C.C.C10.C.C.C10.C.C.C10.C.C.C10.C.C.C10.C.C.C10.C.C.C10.C.C.C10.C.C
.C10.C.C.C10.C.C.C10.C.C.C10.C.C14.C$41.C.C5.5C..C.C5.5C..C.C5.5C..C.C
5.5C..C.C5.5C..C.C5.5C..C.C5.5C..C.C5.5C..C.C5.5C..C.C5.5C..C.C5.5C..C
.C5.5C..C.C5.5C..C14.C$41.C.C4.C7.C.C4.C7.C.C4.C7.C.C4.C7.C.C4.C7.C.C
4.C7.C.C4.C7.C.C4.C7.C.C4.C7.C.C4.C7.C.C4.C7.C.C4.C7.C.C4.C7.C14.C$41.
C..C4.3C4.C..C4.3C4.C..C4.3C4.C..C4.3C4.C..C4.3C4.C..C4.3C4.C..C4.3C4.
C..C4.3C4.C..C4.3C4.C..C4.3C4.C..C4.3C4.C..C4.3C4.C..C4.3C4.C14.C$40.C
4.C6.C4.C..C6.C..C4.C6.C4.C..C6.C..C4.C6.C4.C..C6.C..C4.C6.C4.C..C6.C
..C4.C6.C4.C..C6.C..C4.C6.C4.C..C6.C..C4.C6.C4.C12.C$39.C6.6C6.C..6C..
C6.6C6.C..6C..C6.6C6.C..6C..C6.6C6.C..6C..C6.6C6.C..6C..C6.6C6.C..6C..
C6.6C6.C10.C$38.C20.C8.C20.C8.C20.C8.C20.C8.C20.C8.C20.C8.C20.C8.C$35.
3C22.3C..3C22.3C..3C22.3C..3C22.3C..3C22.3C..3C22.3C..3C22.3C..3C$34.C
28.CC28.CC28.CC28.CC28.CC28.CC28.CC$34.C28.C30.C28.C30.C28.C30.C28.C$
35.13C..13C32.13C..13C32.13C..13C32.13C..13C$48.CC58.CC58.CC58.CC$49.C
58.C60.C58.C$50.28C..28C62.28C..28C$78.CC118.CC$79.C118.C$80.58C..58C$
138.CC60.C5.CC..3C5.CC..3C$138.C60.C6.C.C3.C5.C.C.C.C$135.A.C5.A7.A7.A
7.A7.A7.A7.A6.7C.CC4.C.3C.CC..C.C$134.3C4.4C4.4C4.4C4.4C4.4C4.4C4.CC8.
C6.C.C3.C5.C.C.C.C$135.C4.C..C4.C..C4.C..C4.C..C4.C..C4.C..C4.C11.C5.
CC4.C5.CC..3C$135.C..C..C.C..C..C.C..C..C.C..C..C.C..C..C.C..C..C.C..C
..C$135.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C$135.C.
C.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C$135.C.C.C.C.C.C.
C.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C$135.C.C.C.C.C.C.C.C.C.C.C.
C.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C$135.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C.
C.C.C.C.C.C.C.C.C.C.C.C$135.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C.
C.C.C.C.C.C.C$135.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C.
C.C$135.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C$135.C.
C.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C$135.C.C.C.C.C.C.
C.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C$135.C.C.C.C.C.C.C.C.C.C.C.
C.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C$135.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C.
C.C.C.C.C.C.C.C.C.C.C.C$135.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C.
C.C.C.C.C.C.C$135.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C.
C.C$135.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C$135.C.
C.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C$135.C.C.C.C.C.C.
C.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C$135.C.C.C.C.C.C.C.C.C.C.C.
C.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C$135.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C.
C.C.C.C.C.C.C.C.C.C.C.C$135.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C.
C.C.C.C.C.C.C$135.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C.
C.C$135.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C$135.C.
C.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C$135.C.C.C.C.C.C.
C.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C.C$136.C3.C3.C3.C3.C3.C3.C3.C
3.C3.C3.C3.C3.C3.C!
